#ifndef CCTRLGRAPH_COORD_H
#define CCTRLGRAPH_COORD_H

#include "cctrlgraphopengl.h"

class CTRLS_GRAPH_EXPORT CCtrlGraph_Coord : public CCtrlGraphOpenGL
{
    Q_OBJECT
public:
    explicit CCtrlGraph_Coord(QWidget *parent = 0);
    QMMutexVector<CMPointd> m_ptVector;
    bool m_bshowText;
    void MInit();
    void refreshPixmap(bool bupdate=true);
    void draw_Coord(QPainter &painter);
    void DrawCoordPoint(CMPointd pt,
                        Qt::GlobalColor ecolor,
                        QPainter &painter);
    void DrawCoordText(CMPointd pt,
                       Qt::GlobalColor ecolor,
                       QPainter &painter);

    void DrawString(QPainter& painter, enum Qt::GlobalColor ecolor=Qt::darkBlue);

    int m_iShapeSize;

    void  init_rectWindow();
    void SetString(QString& str);
private:
    QString m_String;
    QMutex m_mutex;
protected:
     void updaterubberBandRect();
signals:

public slots:
};

#endif // CCTRLGRAPH_COORD_H
